## org.eclipse.emf.importer.rose.builder
Class UnitTreeBuilder

    java.lang.Object
      org.eclipse.emf.importer.rose.builder.UnitTreeBuilder

    public class UnitTreeBuilder

extends java.lang.Object

Traverses the Rose files the first time to build unit tree and class information. Unit tree contains tree UnitTreeNodes. Each tree node has name, quid and cat file name Table information is a map from String quid to TableObjects. Each table info has name, quid, xml file, uuid, model id and it parent model id.

Field Summary
`protected RoseUtil` `roseUtil`
`protected UnitTreeNode` `topNode`

Constructor Summary
`UnitTreeBuilder(RoseUtil roseUtil)`

Method Summary
`void` `traverse(java.lang.String qualifier, RoseNode tree, UnitTreeNode unitNode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### topNode

    protected UnitTreeNode topNode

### roseUtil

    protected RoseUtil roseUtil

Constructor Detail

### UnitTreeBuilder

    public UnitTreeBuilder(RoseUtil roseUtil)

Method Detail

### traverse

    public void traverse(java.lang.String qualifier,
                         RoseNode tree,
                         UnitTreeNode unitNode)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.